Part Cone: Difference between revisions

From FreeCAD Documentation
mNo edit summary
No edit summary
 
(38 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:12-->
<!--T:12-->
{{Docnav
{{Docnav
|[[Part_Sphere|Sphere]]
|[[Part_Sphere|Sphere]]
|[[Part_Torus|Torus]]
|[[Part_Torus|Torus]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Sphere.svg
|IconL=Part_Sphere.svg
|IconR=Part_Torus.svg
|IconR=Part_Torus.svg
Line 15: Line 16:
|Name=Part Cone
|Name=Part Cone
|MenuLocation=Part → Primitives → Cone
|MenuLocation=Part → Primitives → Cone
|Workbenches=[[Part_Module|Part]]
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}
}}
Line 22: Line 23:


<!--T:7-->
<!--T:7-->
The [[Image:Part_Cone.svg|24px]] '''Part Cone''' command creates a parametric cone solid. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the cone lies on the XY plane with its center at the origin.
A parametric truncated Part Cone primitive is available in the Part workbench from the Part tool bar, Part menu (primitives sub-menu) and the Create Primitives dialogue.

<!--T:24-->
The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its {{PropertyData|Radius1}} or {{PropertyData|Radius2}} property to zero. It can be turned into a segment of a cone by changing its {{PropertyData|Angle}} property.


</translate>
</translate>
[[Image:Part_Cone_Example.png|400px]]
[[File:Otherwisedefault270degree_Part_Cone.png|300px]]
<translate>
<translate>
<!--T:5-->
{{Caption|A Part Cone with the parameter "Angle" set to 270 degrees and all other parameters are set to their default values.}}


== Usage == <!--T:18-->
== Usage == <!--T:18-->


<!--T:8-->
<!--T:8-->
# There are several ways to invoke the command:
# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
#* Press the {{Button|[[Image:Part_Cone.svg|16px]] [[Part_Cone|Part Cone]]}} button.
# There are two ways to invoke the command:
#* Press the {{Button|[[Image:Part_Cone.svg|16px]] Cone}} button in the toolbar.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Cone.svg|16px]] Cone}} option from the menu.
# The cone is created.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Cone.svg|16px]] Cone}} from the menu bar.
# Optionally change the dimensions and {{PropertyData|Placement}} of the cone by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


<!--T:9-->
== Example == <!--T:25-->
'''Result:''' The default values create a truncated parametric cone that is positioned at the origin (point 0,0,0) and attached to the global xy-plane. Its height of 10 mm is along the global z-axis. The lower {{PropertyData|Radius 1}} is 2 mm, the upper {{PropertyData|Radius 2}} is 4 mm.


<!--T:26-->
The cone properties can later be edited, either in the [[Property_editor|Property editor]] or by double-clicking the cone in the [[Tree_view|Tree view]].
[[Image:Part_Cone_Scripting_Example.png|thumb|Part Cone from the scripting example]]

<!--T:27-->
A Part Cone object created with the [[#Scripting|scripting example]] below is shown here.

== Notes == <!--T:28-->

<!--T:29-->
* A Part Cone can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


== Properties == <!--T:10-->
== Properties == <!--T:10-->


<!--T:30-->
* {{PropertyData|Radius 1}}: Radius of the arc or circle defining the lower face
See also: [[Property_editor|Property editor]].
*{{PropertyData|Radius 2}}: Radius of the arc or circle defining the upper face

* {{PropertyData|Height}}: Height of the Part Cone
<!--T:31-->
* {{PropertyData|Angle}}: Number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360° creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.
A Part Cone object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data === <!--T:32-->

<!--T:33-->
{{TitleProperty|Attachment}}

<!--T:34-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

<!--T:35-->
{{TitleProperty|Cone}}

<!--T:20-->
* {{PropertyData|Radius1|Length}}: The radius of the bottom face of the cone. Can be {{Value|0mm}} if {{PropertyData|Radius2}} is larger than {{Value|0mm}}. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the top face of the cone. Can be {{Value|0mm}} if {{PropertyData|Radius1}} is larger than {{Value|0mm}}. The default is {{Value|4mm}}.
* {{PropertyData|Height|Length}}: The height of the cone. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the top and bottom face of the cone. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cone.

== Scripting == <!--T:21-->

<!--T:36-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:22-->
A Part Cone can be created with the {{Incode|addObject()}} method of the document:

</translate>
{{Code|code=
cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
}}
<translate>

<!--T:23-->
* Where {{Incode|"myCone"}} is the name for the object.
* The function returns the newly created object.

<!--T:37-->
Example:

</translate>
{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()
}}
<translate>




Line 55: Line 129:
|[[Part_Sphere|Sphere]]
|[[Part_Sphere|Sphere]]
|[[Part_Torus|Torus]]
|[[Part_Torus|Torus]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Sphere.svg
|IconL=Part_Sphere.svg
|IconR=Part_Torus.svg
|IconR=Part_Torus.svg
Line 62: Line 136:


</translate>
</translate>
{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 20:27, 3 March 2022

Part Cone

Menu location
Part → Primitives → Cone
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Cone command creates a parametric cone solid. In the coordinate system defined by its DataPlacement property, the bottom face of the cone lies on the XY plane with its center at the origin.

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DataRadius1 or DataRadius2 property to zero. It can be turned into a segment of a cone by changing its DataAngle property.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Cone button.
    • Select the Part → Primitives → Cone option from the menu.
  2. The cone is created.
  3. Optionally change the dimensions and DataPlacement of the cone by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DataPlacement with the Std TransformManip command.

Example

Part Cone from the scripting example

A Part Cone object created with the scripting example below is shown here.

Notes

  • A Part Cone can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • DataRadius1 (Length): The radius of the bottom face of the cone. Can be 0mm if DataRadius2 is larger than 0mm. The default is 2mm.
  • DataRadius2 (Length): The radius of the top face of the cone. Can be 0mm if DataRadius1 is larger than 0mm. The default is 4mm.
  • DataHeight (Length): The height of the cone. The default is 10mm.
  • DataAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()